Package wx :: Class Printer

[frames | no frames]

## Type Printer

    object --+
             |
        Object --+
                 |
                Printer

Proxy of C++ Printer class

Method Summary
Printer | `__init__(self, data)`
| `__del__(self)`
Window | `CreateAbortWindow(self, parent, printout)`
bool | `GetAbort(self)`
int | `GetLastError()` (Static method)
PrintDialogData | `GetPrintDialogData(self)`
bool | `Print(self, parent, printout, prompt)`
DC | `PrintDialog(self, parent)`
| `ReportError(self, parent, printout, message)`
bool | `Setup(self, parent)`

Property Summary
| `Abort`: See `GetAbort`
| `PrintDialogData`: See `GetPrintDialogData`
| `thisown`: The membership flag

Property Details

### Abort

See `GetAbort`

  Get Method:
    `GetAbort`(self)

### PrintDialogData

See `GetPrintDialogData`

  Get Method:
    `GetPrintDialogData`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:02 2007 | http://epydoc.sf.net